Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceVoice

Initiate Outbound Call

POST
/voice/calls/initiate

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/voice/calls/initiate" \  -H "Content-Type: application/json" \  -d '{    "to": "string"  }'
{
  "call": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
    "transport": "webrtc",
    "telnyxCallControlId": "string",
    "cfSessionId": "string",
    "direction": "inbound",
    "from": "string",
    "to": "string",
    "phoneNumberId": "8e9ce3fb-4d22-4fe3-baa7-b7892dd942d7",
    "voiceAgentId": "76faa691-e3de-464f-8a1b-6da7c28e3c80",
    "status": "queued",
    "initiatedAt": "2019-08-24T14:15:22Z",
    "answeredAt": "2019-08-24T14:15:22Z",
    "endedAt": "2019-08-24T14:15:22Z",
    "durationSeconds": -9007199254740991,
    "transcriptUrl": "string",
    "recordingUrl": "string",
    "summary": "string",
    "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",
    "metadata": {
      "cfTrackIds": {
        "audio": "string",
        "video": "string"
      },
      "sttLanguage": "string",
      "ttsVoice": "string",
      "menuMatches": [
        {
          "menuItemId": "string",
          "menuItemLabel": "string",
          "confidence": 0,
          "matchedText": "string"
        }
      ],
      "menuFinalSelection": {
        "menuItemId": "string",
        "menuItemLabel": "string",
        "confidence": 0,
        "matchedText": "string"
      },
      "bargeInCount": -9007199254740991,
      "errorCode": "string",
      "errorMessage": "string",
      "customFields": {
        "property1": null,
        "property2": null
      }
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "webrtc": {
    "sessionId": "string",
    "offer": "string",
    "wsUrl": "string",
    "wsToken": "string"
  }
}
to*string

Phone number to call (E.164 format)

from?string

Caller ID (phone number in E.164 format)

voiceAgentId?string

Voice agent to handle the call

Formatuuid
transport?unknown
Default"pstn"
Value in"webrtc" | "pstn"
language?unknown
Default"hi-IN"
Value in"en-IN" | "hi-IN" | "kn-IN" | "ta-IN" | "te-IN" | "ml-IN" | "mr-IN" | "gu-IN" | "bn-IN" | "pa-IN" | "od-IN"
voice?unknown
Default"anushka"
Value in"anushka" | "manisha" | "vidya" | "arya" | "priya" | "neha" | "ritu" | "abhilash" | "karun" | "hitesh" | "aditya" | "rahul"
systemPrompt?string
workflowDefinition?